Skip to main content
GET
/
v3
/
entries
/
{entry_id}
Get Entry
curl --request GET \
  --url https://api.matil.ai/v3/entries/{entry_id} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.matil.ai/v3/entries/{entry_id}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.matil.ai/v3/entries/{entry_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "created_at": "2023-01-01T00:00:00Z",
  "created_by_info": {
    "id": "123e4567-e89b-12d3-a456-426614174005",
    "name": "My API Key",
    "type": "api-key"
  },
  "data": {
    "field1": "value1",
    "field2": "value2"
  },
  "deployment_id": "123e4567-e89b-12d3-a456-426614174003",
  "documents": [],
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "resource_name": "My Structure",
  "status": "completed",
  "steps": [
    {
      "data": {
        "field1": "initial_value"
      },
      "errors": []
    },
    {
      "data": {
        "field1": "value1",
        "field2": "value2"
      },
      "errors": []
    }
  ],
  "tenant_id": "123e4567-e89b-12d3-a456-426614174001",
  "updated_at": "2023-01-01T00:00:00Z"
}
{
  "error": "AUTHENTICATION_REQUIRED",
  "message": "Authentication required. Provide a valid x-api-key header.",
  "details": null
}
{
  "error": "ENTRY_NOT_FOUND",
  "message": "Entry not found.",
  "details": null
}

Authorizations

x-api-key
string
header
required

Headers

authorization
string | null
x-api-key
string | null
X-Tenant-ID
string | null

Path Parameters

entry_id
string<uuid>
required

Query Parameters

include_details
boolean
default:false

Include additional details

Response

Successful Response

Schema for entry responses.

id
string<uuid>
required
tenant_id
string<uuid>
required
deployment_id
string<uuid> | null
required
data
Data · object
required
status
string
required
price
number
required

Price for this entry

created_at
string<date-time>
required
updated_at
string<date-time>
required
structure_id
string<uuid> | null
structure_version_number
integer | null
parent_id
string<uuid> | null

Parent entry ID for group child entries

children
any[] | null

Child entries (only included when requested)

page_count
integer | null

Number of pages processed (for pricing)

resource_name
string | null
created_by_info
CreatedByInfo · object | null

Schema for creator information.

documents
DocumentResponse · object[]

Associated documents

errors
Errors · object[] | null

All errors including validation and document issues

time_ms
integer | null
request_metadata
Request Metadata · object | null
corrections_count
integer
default:0
correction
Correction · object[] | null
corrected_data
Corrected Data · object | null
correction_notes
string | null